Loading...
Searching...
No Matches
Dune::Functions::MonomialSet< RangeFieldType, dimension, maxDegree >::Derivative::Hessian Struct Reference

Set of all second order derivatives of monomials up to degree `maxDegree` as vector of matrix valued functions. More...

`#include <dune/functions/analyticfunctions/monomialset.hh>`

## Public Member Functions

template<class DomainFieldType>
constexpr std::array< FieldMatrix< RangeFieldType, dim, dim >, size > | operator() (const Dune::FieldVector< DomainFieldType, dim > &x) const
| Return array of Matrices of monomial derivatives.

## Detailed Description

template<class RangeFieldType, int dimension, int maxDegree>
struct Dune::Functions::MonomialSet< RangeFieldType, dimension, maxDegree >::Derivative::Hessian

Set of all second order derivatives of monomials up to degree `maxDegree` as vector of matrix valued functions.

## Member Function Documentation

## operator()()

template<class RangeFieldType, int dimension, int maxDegree>
template<class DomainFieldType>

std::array< FieldMatrix< RangeFieldType, dim, dim >, size > Dune::Functions::MonomialSet< RangeFieldType, dimension, maxDegree >::Derivative::Hessian::operator() | ( | const Dune::FieldVector< DomainFieldType, dim > & | x | ) | const

constexpr

Return array of Matrices of monomial derivatives.

The (i,j)th component of the k-the entry of the returned structure is the derivative in direction (i,j) of the monomial corresponding the the k-th entry of the return value of exponents().

Template Parameters

  DomainFieldType | The scalar type of the domain.

The documentation for this struct was generated from the following file:

- monomialset.hh